# Deprecated API

## Contents

- Classes
- Fields
- Methods
- Enum Constants

Deprecated Classes
Class
Description
picard.fastq.BamToBfqWriter
picard.fingerprint.CrosscheckReadGroupFingerprints
6/6/2017 Use `CrosscheckFingerprints` instead.
picard.sam.SetNmAndUqTags
picard.vcf.processor.VcfFileSegment
from 2022-03-17, Use VcfPathSegment
picard.vcf.processor.VcfFileSegmentGenerator
from 2022-03-17, Use `VcfPathSegmentGenerator`

Deprecated Fields
Field
Description
picard.illumina.CheckIlluminaDirectory.LINK_LOCS
It is no longer necessary to create locs file symlinks.
picard.illumina.IlluminaBasecallsToFastq.MAX_READS_IN_RAM_PER_TILE
picard.sam.FastqToSam.STRIP_UNPAIRED_MATE_NUMBER
picard.sam.markduplicates.util.AbstractMarkDuplicatesCommandLineProgram.ASSUME_SORTED
picard.sam.MergeBamAlignment.JUMP_SIZE
picard.sam.MergeBamAlignment.PAIRED_RUN

Deprecated Methods
Method
Description
picard.fingerprint.FingerprintChecker.fingerprintFiles(Collection<Path>, int, int, TimeUnit)
picard.fingerprint.FingerprintChecker.fingerprintSamFile(Path, IntervalList)
use `FingerprintChecker.fingerprintSamFile(Path, Path, boolean, Function)` instead.
picard.fingerprint.FingerprintChecker.fingerprintSamFile(Path, Function<HaplotypeBlock, HaplotypeProbabilities>)
picard.fingerprint.FingerprintChecker.fingerprintVcf(Path)
picard.sam.DuplicationMetrics.calculateDerivedMetrics()
picard.util.ClippingUtility.adapterTrimIlluminaPairedReads(SAMRecord, SAMRecord, AdapterPair)
Use the varargs version. This no longer returns a warning string..
picard.util.ClippingUtility.adapterTrimIlluminaPairedReads(SAMRecord, SAMRecord, AdapterPair, int, double)
Use the varargs version. This no longer returns a warning string..
picard.util.ClippingUtility.adapterTrimIlluminaSingleRead(SAMRecord, AdapterPair)
Use the varargs version. This no longer returns a warning string..
picard.util.ClippingUtility.adapterTrimIlluminaSingleRead(SAMRecord, AdapterPair, int, double)
Use the varargs version. This no longer returns a warning string..
picard.util.MathUtil.logLikelihoodsToProbs(double[])
picard.util.SingleBarcodeDistanceMetric.leniantHammingDistance()

Deprecated Enum Constants
Enum Constant
Description
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.INDEL_EXTENSION_ERROR
- but used in existing extended manifest files.
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.INDEL_SEQ_MISMATCH
- but used in existing extended manifest files.
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.PROBE_SEQUENCE_STRAND_INVALID
- but used in existing extended manifest files.
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.SEQUENCE_MISMATCH
- but used in existing extended manifest files.
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.SOURCE_SEQUENCE_MISMATCH
- but used in existing extended manifest files.
picard.arrays.illumina.Build37ExtendedIlluminaManifestRecord.Flag.SOURCE_SEQUENCE_STRAND_INVALID
- but used in existing extended manifest files.